program Billard;

uses
  mSum,
  mUhr,
  mTKugel in 'mTKugel.pas',
  mTSpielfeld in 'mTSpielfeld.pas';

var
  //Objekte benennen
  derBildschirm : Bildschirm;
  dieMaus       : Maus;
  meinStift     : Stift;
  meineUhr      : Uhr;
  ersteKugel    : TKugel;
  zweiteKugel   : TKugel;
  dritteKugel   : TKugel;
  Spielfeld1    : TSpielfeld;
  Spielfeld2    : TSpielfeld;


begin
  // Initialisierung
  derBildschirm := Bildschirm.init;
  dieMaus       := Maus.init;
  meinStift     := Stift.init;
  meineUhr      := Uhr.init;
  ersteKugel    := TKugel.init;
  zweiteKugel   := TKugel.init;
  dritteKugel   := TKugel.init;
  Spielfeld1    := TSpielfeld.init;
  Spielfeld2    := TSpielfeld.init;

  // Aktionsteil

  ersteKugel.setzePosition (250,100);
  ersteKugel.SetzeGeschwindigkeit(0.9,-0.8);

  zweiteKugel.setzePosition(500,200);
  zweiteKugel.SetzeGeschwindigkeit(-1,0.6);

  Spielfeld1.setzeBreite(500);
  Spielfeld1.SetzeHoehe(300);
  Spielfeld1.setzePosition(100,50);
  Spielfeld1.zeichne;

  ersteKugel.lerneSpielfeldKennen(Spielfeld1);
  zweiteKugel.lerneSpielfeldKennen(Spielfeld1);

  Spielfeld2.setzeBreite(400);
  Spielfeld2.SetzeHoehe(200);
  Spielfeld2.setzePosition(400,450);
  Spielfeld2.zeichne;

  dritteKugel.setzePosition(500,600);
  dritteKugel.SetzeGeschwindigkeit(1.5,0.9);
  dritteKugel.lerneSpielfeldKennen(Spielfeld2);

  repeat
    ersteKugel.bewege;
    zweiteKugel.bewege;
    dritteKugel.bewege;
    meineUhr.warte(1)
  until dieMaus.istGedrueckt;


  // Aufrumen
  meineUhr.gibFrei;
  meinStift.gibFrei;
  dieMaus.gibFrei;
  derBildschirm.gibFrei
end.
